List Deck boards
Your Deck boards with their stacks (columns).
GET https://cotlet.dev/api/v1/nextcloud/deck-boards
read
Lists the Deck boards you can open, each with its stacks in board order. Use the board_id and stack_id values in list_deck_cards and create_deck_card. Archived boards are left out.
Parameters
No parameters.
Request
curl https://cotlet.dev/api/v1/nextcloud/deck-boards \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("nextcloud", "list_deck_boards") const result = await cotlet.call('nextcloud', 'list_deck_boards'); cotlet call nextcloud list_deck_boards Example response
{
"boards": [
{
"board_id": 7,
"title": "Product",
"stacks": [
{
"stack_id": 20,
"title": "Backlog"
},
{
"stack_id": 21,
"title": "To do"
},
{
"stack_id": 22,
"title": "Done"
}
]
}
]
}